### [中文](./README-zh_cn.md) | English
# obsidian-editing-toolbar Plugin

![](editing-toolbar-demo.gif)

Thanks to the [cmenu](https://github.com/chetachiezikeuzor/cMenu-Plugin) plugin, which gave me a lot of inspiration, but this plugin has not been maintained for more than a year, so I re-modified it and added a lot of interesting features, including the top toolbar, cursor following, etc., so editing toolbar was created.

**Obsidian Editing Toolbar** is a plugin that provides a toolbar similar to MS-Word，and adds a minimal and user friendly text editor modal for a smoother writing/editing experience . This plugin makes text editing and firing commands easier for those that don't wish to configure a multitude of hotkeys.No need to remember complex markdown commands, similar to a rich text editor as WYSIWYG.
This plugin was specifically designed for note-takers that want to have a simple text editor to aid in marking up their notes. It solves the issue of having to memorize numerous hotkeys and/or use multiple key presses to get the desired markup. A simple toolbar to improve your writing experience in Obsidian！

> It is recommended to work with [Enhanced Editing Plugin](https://github.com/obsidian-canzi/Enhanced-editing), which can add more useful editing commands.


## TOC

- [obsidian-editing-toolbar Plugin](#obsidian-editing-toolbar-plugin)
  - [TOC](#toc)
  - [how-to-install](#how-to-install)
  - [Video Introduction](#video-introduction)
  - [Key Features](#key-features)
    - [Work with other plugins](#work-with-other-plugins)
    - [Full Vault showcase](#full-vault-showcase)
    - [support](#support)

## how-to-install

Please Refer: [How to install Obsidian Plugins](https://forum.obsidian.md/t/plugins-mini-faq/7737)

## Video Introduction

[About Cmenu toolbar](https://www.bilibili.com/video/BV1mY4y1T7g2/)

## Key Features
This differs from the cmenu plugin in the following points:

1. add a new toolbar style tiny

   ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071131715.png)

2. add toolbar position options, top, following

   ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071133753.png)
   ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071751006.gif)
3. support multi-window, multi-tab adapted to obsidian 0.14+
4. add some built-in commands
   1. change-font-color
   2. change-background-color
   3. indent-list
   4. undent-list
   5. editor-undo
   6. editor-redo
   7. hrline  
      will insert a `---` split line
   8. justify Both ends aligned
      Inserts an html code to align the text at both ends `<p align="justify">..... </p>`
   9. left  
      Insert an html code to align the text left `<p align="left">..... </p>`
   10. right  
       Insert an html code to align the text right `<p align="right">..... </p>`
   11. center  
       Insert an html code to center the text `<center>..... </center>`
   12. fullscreen-focus
       Default binding shortcut key `Ctrl+shift+F11`
       Will make the notes page display full screen, let you focus more on the writing itself. To exit full screen press ESC or execute the full screen command again
   13. workplace-fullscreen-focus
       Default binding shortcut key `Ctrl+F11`
       Unlike fullscreen-focus mode, this one just hides the left and right sidebar panels, it's only workspace full screen
   14. head 1-6 level heading settings
       Default binding shortcut key `Ctrl+1,ctrl+2,...Ctrl+6`
       ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071707695.png)
   15. support custom command icons
       ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071717111.gif)
   16. Support modify command name
       ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071720159.gif)
   17. Support for adding submenus
       ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071722207.gif)
   18. Support menu dragging and sorting
   19. Add formatting brush function Built-in two kinds of formatting brush for font color and background color (middle mouse button or right click can cancel the formatting brush status)
       ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main//pic/202209071731151.gif)
   20. Adaptive shrinkage of toolbar icon width
       ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main/pic/202209072157728.gif)



### Work with other plugins

1. [emjoi toolbar ](obsidian://show-plugin?id=obsidian-emoji-toolbar) Quickly Insert a  emoji 
   ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main/pic/202209092001600.gif)


2.  [Obsidian-Table-Generator](https://github.com/Quorafind/Obsidian-Table-Generator/)  & [ob-table-enhance](https://github.com/Stardusten/ob-table-enhancer) Quickly Insert a table and edit 
   ![](https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main/pic/202209092008571.gif)

> The above plugins are available from the example vault , all of which have been optimized and have some bugs fixed
☟☟☟


### Full Vault showcase

This is the Obsidian example vault is amazing, there are a lot of dazzling features and showcase, I believe you will wonder a bit, is this Obsidian?
[Blue-topaz-examples](https://github.com/cumany/Blue-topaz-examples)

### support
Thank you very much for your support!

<div align="center">
<img src="https://ghproxy.com/https://raw.githubusercontent.com/cumany/cumany/main/pic/202209192228895.png" width="400px">
</div>


<div align="center"><a href="https://www.buymeacoffee.com/Cuman"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee &emoji=&slug=Cuman&button_colour=BD5FFF&font_colour=ffffff&font_family=Poppins&outline_colour=000000&coffee_colour=FFDD00" /></a>
</div>
